# /customeventtypes

## GET

A `GET` request can always be filtered by the get [parameters](http://docs.adnuntius.com/api/api-requests) defined in the introduction section of the api documentation.

**Example GET request:**

```http
GET https://api.adnuntius.com/api/v1/contextserviceconnections?context=<context>
```

in order to see `HIDDEN` objects you will need to send `includeHidden=true`as a parameter to the `GET` query

## POST

**Example POST object:**

```http
POST https://api.adnuntius.com/api/v1/contextserviceconnections/<id>?context=<context>
```

```javascript
{

    "objectState": "ACTIVE",
    "description": "Antal gånger någon klickat på blad 1.",
    "name": "Veckans priser - Blad 1",
    "valueType": "number",
}
```

| Name        | Required | Restriction                                   | Description                                                       |
| ----------- | -------- | --------------------------------------------- | ----------------------------------------------------------------- |
| objectState |          | ACTIVE, INACTIVE, HIDDEN                      | State of the object, will disable or delete the object.           |
| description |          | String                                        | A desccription of the group                                       |
| name        | Yes      | String                                        | The name of the object                                            |
| valueType   | yes      | number, milliseconds, seconds, money (String) | What value type the event in question should be, described below. |

### Value type

* **number** Will be an integer value.
* **milliseconds** Time in milliseconds.
* **seconds** Time in seconds.
* **money** Will be converted into money of the selected currency.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-advertising/admin-api/endpoints/customeventtypes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
